
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Michael Veeck <michael.veeck@gmx.net>

Patch (against 2.6.3) removes unnecessary min/max macros and changes calls to
use kernel.h macros instead.


---

 25-akpm/fs/proc/generic.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN fs/proc/generic.c~fs_proc_minmax fs/proc/generic.c
--- 25/fs/proc/generic.c~fs_proc_minmax	2004-03-16 18:48:55.406295544 -0800
+++ 25-akpm/fs/proc/generic.c	2004-03-16 18:48:55.408295240 -0800
@@ -37,10 +37,6 @@ static struct file_operations proc_file_
 	.write		= proc_file_write,
 };
 
-#ifndef MIN
-#define MIN(a,b) (((a) < (b)) ? (a) : (b))
-#endif
-
 /* buffer size is one page but our output routines use some slack for overruns */
 #define PROC_BLOCK_SIZE	(PAGE_SIZE - 1024)
 
@@ -61,7 +57,7 @@ proc_file_read(struct file *file, char _
 		return -ENOMEM;
 
 	while ((nbytes > 0) && !eof) {
-		count = MIN(PROC_BLOCK_SIZE, nbytes);
+		count = min_t(ssize_t, PROC_BLOCK_SIZE, nbytes);
 
 		start = NULL;
 		if (dp->get_info) {

_
